<?php
/**
 * Template Name: Contact Page
 *
 * @package Luzuk Premium
 */
get_header(); 
?>
 <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header"  <?php  if (!empty($image)) : ?> style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:auto;position: relative;" <?php endif ?>  >
      <div class="overlay1"></div>
    <div class="container">
        <?php the_title( '<h1 class="ht-main-title ">', '</h1>' ); ?>
        <div class="clearfix"></div>
    
       <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') :
          ?>
          <div class="breadcrumbbox ">
              <div class="container">
                  <div class='button top-bttn'><?php luzuk_lite_the_breadcrumb(); ?></div>
                  <!--  <?php //luzuk_lite_the_breadcrumb(); ?> -->
              </div>
          </div>
      <?php endif ?>    
    </div>
</header><!-- .entry-header --> 


<main id="innerpage-box">
	<!-- <div class="container"> -->
		<div class="inner_contentbox">
		
			<div class="ht-contactus-wrap innerpage-whitebox">
	<?php 
	
		$address = get_theme_mod('luzuk_contactus_address', 'Add Contact Address here..');
		$addressdata1 = get_theme_mod('luzuk_contactus_addressdata1', '');
		$addressdata2 = get_theme_mod('luzuk_contactus_addressdata2', '');

		$email = get_theme_mod('luzuk_contactus_email', 'info@example.com');
		$phone = get_theme_mod('luzuk_contactus_phone', '+123 456 7890');
		$shortcode = get_theme_mod('luzuk_contactus_shortcode', 'Add your shortcode through customizer');
		
		$iframe = get_theme_mod('luzuk_contactus_embade', 'Add your Embed code in customizer');

		$luzuk_contactus_maptitle = get_theme_mod('luzuk_contactus_maptitle', 'LOOKING FOR SUPPORT? WE WILL LOVE TO HELP YOU OUT WITH YOUR QUERIES.');

		$luzuk_contactus_formtitle = get_theme_mod('luzuk_contactus_formtitle', 'Enquiry Now');
		$luzuk_contactus_mailatitle = get_theme_mod('luzuk_contactus_mailatitle', 'EMAIL US');
		$luzuk_contactus_addtitle = get_theme_mod('luzuk_contactus_addtitle', 'LOCATION');
		$luzuk_contactus_phonetitle = get_theme_mod('luzuk_contactus_phonetitle', 'CALL US');
	?>
			<div id="ht-contactus-wrap">
				<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12 ">
						<?php if($phone || $luzuk_contactus_phonetitle || $email || $luzuk_contactus_mailatitle || $luzuk_contactus_addtitle || $address || $addressdata1 || $addressdata2 ){ ?>
								<div class="address-c-box ">
									<div class="address-box">
										<?php if($email || $luzuk_contactus_mailatitle){ ?>
											<div class="col-md-4">
												<div class="contact_area ">
													<div class="contact_l_area" data-wow-duration="1s">
														<i class="fa fa-envelope " aria-hidden="true"></i>
													</div>
													<div class="contact-info" data-wow-duration="1s"> 
														<?php if($luzuk_contactus_mailatitle){ ?>
														<div class="contact-label">
															<?php echo ($luzuk_contactus_mailatitle);  ?>
														</div>
														<?php } ?>
														<a href="mailto:<?php echo $email;?>"><?php echo $email;?></a> 
													</div>
													<div class="clearfix"></div>
												</div>
											</div>
											<?php } ?>
										
										<?php if($phone || $luzuk_contactus_phonetitle){ ?>
										<div class="col-md-4">
											<div class="contact_area ">
												<div class="contact_l_area " data-wow-duration="2s">
													<i class="fa fa-phone " aria-hidden="true"></i>
												</div>
												<div class="contact-info " data-wow-duration="2s"> 
												<?php if($luzuk_contactus_phonetitle){ ?>
													<div class="contact-label">
														<?php echo ($luzuk_contactus_phonetitle);  ?>
													</div>
													<?php } ?> 
													<a href="tel:<?php echo $phone;?>"><?php echo $phone;?></a>
												 </div>
												<div class="clearfix"></div>	
											</div>
										</div>
										<?php } ?>
										<?php if($luzuk_contactus_addtitle || $address || $addressdata1 || $addressdata2){ ?>
										<div class="col-md-4">
											<div class="contact_area ">
												
													<div class="contact_l_area " data-wow-duration="3s">
														<i class="fa fa-map-marker " aria-hidden="true"></i>
													</div>
													<div class="contact-info " data-wow-duration="3s">
														<?php if($luzuk_contactus_addtitle){ ?>
															<div class="contact-label">
																<?php echo ($luzuk_contactus_addtitle);  ?>
															</div>
														<?php } ?>
													 	<?php echo nl2br($address); ?>
														<?php echo nl2br($addressdata1); ?>
														<?php echo nl2br($addressdata2); ?> 
													</div>
													
												<div class="clearfix"></div>	
											</div>
										</div>
										<?php } ?>
									</div>
									
									<div class="clearfix"></div>
								</div>
							<?php } ?>
						</div>
					<div class="col-md-12 col-sm-12 pd-0">
						<div class="col-md-8 col-sm-12">
							<?php if($luzuk_contactus_formtitle || $shortcode ){ ?>
								<div class="Address_area ">
									
									<h4><?php if($luzuk_contactus_formtitle){ ?>
										<?php echo ($luzuk_contactus_formtitle);  ?>
									</h4>
									<?php } ?>
									<div class="clearfix"></div>
									<div class="contact-page-form " data-wow-duration="3s">
										<p><?php echo do_shortcode($shortcode);?></p>
										<div class="clearfix"></div>
									</div>
								</div>
							<?php } ?>
						</div>
						<div class="col-md-4 col-sm-12" >
							<div class="con-inn-img  pd-0">
							 <?php 
		                          $coninn_image = get_theme_mod('coninn_image');
		                          if(!empty($coninn_image)){
		                            echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($coninn_image).'" class="img-responsive secondry-bg-img" />';
		                          }else{
		                            echo '<img alt="sldercircle sign" src="'.get_template_directory_uri().'/images/Contactsec.jpg" class="img-responsive" />';
		                          }
		                      ?>
		                    </div>
						</div>
					</div>
					<div class="clearfix"></div>
						
					</div>
				</div>
					<div class="col-md-12 col-sm-12 pd-0">
						<div class="contact-mapbox " data-wow-duration="3s">
							<?php echo $iframe; ?>	
						</div>

					</div>
				</div>
			</div>	
			<div class="clearfix"></div>
	    </div>
	<!-- </div> -->
</main>
<?php get_footer(); ?>